#!/bin/sh

. ../scripts/flags.sh
BUILDFLAGS="$CFLAGS -Iinclude"
LINTCHECKS="-checks=-*,clang-analyzer-*,bugprone-*,portability-*,cert-*"
SOURCE="src/*.c"

build() {
	mkdir -p lib
	cc $SOURCE -o "lib/libXmd.so" -shared $BUILDFLAGS || \
	echo "XXX FAIL!"
}

lint() {
	clang-tidy $SOURCE $LINTCHECKS -- $BUILDFLAGS || \
	echo "XXX FAIL!"
}

clean() {
	rm -f lib/*
}

case "$1" in
install)
	clean; build
	mkdir -p "$PREFIX/lib"
	mkdir -p "$PREFIX/include/Xmd"
	cp lib/*.so "$PREFIX/lib"
	cp include/Xmd/*.h "$PREFIX/include/Xmd"
	clean
	;;
clean)
	clean
	;;
lint)
	lint
	;;
*)
	build
esac
